[Solved] LibreOffice 4.04 installable in Ubuntu 9.04?

Issues with installing under all Linux Distributions

[Solved] LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Swarup » Tue Jul 23, 2013 8:46 pm

I know, my Ubuntu is old, but it works great-- I use 9.04 on an Apple MBP and haven't got around to installing a newer version.

I'd like to install LibreOffice 4.04 in Ubuntu 9.04. Is there any reason it wouldn't work? I've read that I have to first remove my current OO install (OO 3.0), and want to make sure I'll be able to run the LibreOffice 4.04 before losing the OO 3.0.

My plan was to follow the guideline in one of these two sites:
viewtopic.php?f=16&t=68
https://wiki.documentfoundation.org/Ins ... e_on_Linux
Last edited by Swarup on Wed Jul 24, 2013 1:46 am, edited 2 times in total.
Swarup
 
Posts: 25
Joined: Tue Apr 22, 2008 3:04 am

Re: LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Hagar Delest » Tue Jul 23, 2013 10:01 pm

As said in the tutorials, you can install and run both of them if you install them from their .debs, not from the version from the repository.

Please add [Solved] at the beginning of the title in your first post (top of the topic) with the edit button if your issue has been fixed.
AOO 4.1.5 on Xubuntu 18.04 and on Windows 7 (with winPenPack port).

Of fline until Sep. 1st.
User avatar
Hagar Delest
Moderator
 
Posts: 28155
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Swarup » Tue Jul 23, 2013 10:09 pm

That's wonderful news!
I am currently downloading Linux - deb (x86_64), version 4.0.4, from the LibreOffice download site. That should I guess be what you are referring to i.e. with this both should be able to run. The repositories for Ubuntu 9.04 expired years ago.

I should wanted to ensure there wouldn't be any dependencies or anything like that which an older OS like Ubuntu 9.04 (from 2009) would not fulfil. But LO 4.04 should be able to work fine in it, don't you think?
Swarup
 
Posts: 25
Joined: Tue Apr 22, 2008 3:04 am

Re: LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Hagar Delest » Tue Jul 23, 2013 10:20 pm

Yes. I used some Ubuntu flavors with both OOo/AOO and LibO running in parallel (even at the same time). So I do know that there is no problem. One of them will set the icons and prevail but this is no big deal. I remember that LibO sets the icon theme, even if AOO is installed afterward. I'm talking about the icons in the file explorer only.

NB: if you want to upgrade to a more recent flavor, you can try Xubuntu, lighter than Gnome and very nice.
AOO 4.1.5 on Xubuntu 18.04 and on Windows 7 (with winPenPack port).

Of fline until Sep. 1st.
User avatar
Hagar Delest
Moderator
 
Posts: 28155
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Swarup » Tue Jul 23, 2013 11:21 pm

Sounds great-- I'll give it a shot and see how it goes.

NB: I don't have any problem with speed; my computer is very fast. But I had to struggle a lot to get Ubuntu 9.04 running well on the Mac, and ever since then I've had cold feet about upgrading. Now I think I'd be willing to do it as I'm tired of running an outdated web browser and email program. But my final obstacles for upgrading have been that I need a desktop search in Ubuntu which will search text files typed in Hindi, and the only one I've found that does it-- Beagle Search, is not available in newer distributions. That and my database, which is Kexi-- the newer version of Kexi doesn't work well, and there isn't any good database program to replace it. But these are not issues for this forum :-). You've been a great help, and I'll work out these issues elsewhere.
Swarup
 
Posts: 25
Joined: Tue Apr 22, 2008 3:04 am

Re: LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Swarup » Wed Jul 24, 2013 1:49 am

This seems to be the most recent tutorial:
viewtopic.php?f=74&t=50119

And in the below quote from that tutorial RGB writes that with Ubuntu one cannot install OO and LO side by side; the old one needs to be removed fully first. Is this not the case?

NOTE: In general, AOO can be installed side by side with LibreOffice (both suites use different directories). But for some Linux distributions it is not that easy: when they switched from (the heavily modified version of) OOo to the (also modified version of) LibO they packaged their versions of LibO in a way that cause conflicts with OOo or AOO. Notice that these problems are completely artificial and came from some decisions made during packaging: on other distros like openSUSE, this does not happen.

[Note: *ubuntu here means all the differing Ubuntu based versions]

To my knowledge, two distributions that have such problems are *ubuntu and fedora: on those distros you need first to uninstall LibO to install AOO. To do so, you can use sudo apt-get purge libreoffice* on *ubuntu and sudo yum remove libreoffice* on fedora. Note that you can install again LibO afterward but with the packages provided by its website, don't use the distro packages.

Another point is that AOO cannot be easily installed side by side with old OOo versions so it is recommended to uninstall OOo first.


It doesn't say anything here about it being alright so long as one installs both from the deb instead of the repositories. And also, although the LibreOffice 4.0 I am looking to install is from the .deb, but my installed OO 3.0 is from the repositories.
Swarup
 
Posts: 25
Joined: Tue Apr 22, 2008 3:04 am

Re: LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Hagar Delest » Wed Jul 24, 2013 8:51 am

I've already done that so try by yourself.
I'll PM RGB about that if you confirm that it works.
AOO 4.1.5 on Xubuntu 18.04 and on Windows 7 (with winPenPack port).

Of fline until Sep. 1st.
User avatar
Hagar Delest
Moderator
 
Posts: 28155
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: [Solved] LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Swarup » Fri Jul 26, 2013 4:12 pm

Is this the tutorial I am to use for the installation--

viewtopic.php?f=74&t=50119

I'm a bit confused, as it is giving guidance on installation of Apache Open Office, not on the installation of LibreOffice. (Also I want to do a normal installation, not RGB's instructions below for "Parallel installation" where it is only for testing and you don't get a full installation.)

Which tutorial do you recommend I use to install LibreOffice_4.0.4_Linux_x86-64_deb? (That is, when I already have OO 3.0 installed in my system). I am ready to move ahead.
Swarup
 
Posts: 25
Joined: Tue Apr 22, 2008 3:04 am

Re: [Solved] LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Hagar Delest » Fri Jul 26, 2013 10:33 pm

I've never had to use that parallel install method.
Try first the simple method and if there is something wrong then try the parallel one.
AOO 4.1.5 on Xubuntu 18.04 and on Windows 7 (with winPenPack port).

Of fline until Sep. 1st.
User avatar
Hagar Delest
Moderator
 
Posts: 28155
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: [Solved] LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Swarup » Wed Jul 31, 2013 2:52 pm

It installed with no problem, using the standard approach. And Writer opens just fine and appears to be working. But I noticed it takes ages to open documents and also to save them. And when I tried to open BASE, it said it needs JRE and JRE needs to be installed. Plus in the Libre Office Readme file it says JRE is needed. It looks like I don't have JRE installed! So full functionality is not going to be there. And of course the repositories for Ubuntu 9.04 are long closed. So is there a way for me to install JRE to get this thing working with full functionality?
Swarup
 
Posts: 25
Joined: Tue Apr 22, 2008 3:04 am

Re: [Solved] LibreOffice 4.04 installable in Ubuntu 9.04?

Postby RoryOF » Wed Jul 31, 2013 4:45 pm

This posting suggests how to access old Ubuntu repositories. I haven't tried it.
http://superuser.com/questions/339537/where-can-i-get-therepositories-for-old-ubuntu-versions
Apache OpenOffice 4.1.5 on Xubuntu 18.04 (mostly 64 bit version) and infrequently on Win2K/XP
14 October 2016 was Pooh's 90th birthday
User avatar
RoryOF
Moderator
 
Posts: 26945
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: [Solved] LibreOffice 4.04 installable in Ubuntu 9.04?

Postby Hagar Delest » Wed Jul 31, 2013 10:16 pm

You can also install manually from the Oracle web site. You install it in /opt for example and then set the path in AOO.
AOO 4.1.5 on Xubuntu 18.04 and on Windows 7 (with winPenPack port).

Of fline until Sep. 1st.
User avatar
Hagar Delest
Moderator
 
Posts: 28155
Joined: Sun Oct 07, 2007 9:07 pm
Location: France


Return to Linux

Who is online

Users browsing this forum: No registered users and 3 guests